Bug 1757960

Summary: configured host name not used on login
Product: [Fedora] Fedora Reporter: Phil Duby <tracking4hpd+89t9zka7>
Component: initial-setupAssignee: Radek Vykydal <rvykydal>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 31CC: jkonecny, mkolman, rvykydal, v.podzimek+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: initial-setup-0.3.76-1.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-07 00:02:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Phil Duby 2019-10-02 19:55:19 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:69.0) Gecko/20100101 Firefox/69.0
Build Identifier: 

Using Fedora-IoT-31-20191001.0.x86_64.raw.xz in virt-manager, with basic setup:
Import existing disk image
2048 memory, 1 CPU

The initial setup runs, then selecting «1» Network configuration, «1» Set Host name, testdayc.com, the result shows that 'Host Name' name has been set, but 'Current Host Name' is still localhost.localdomain.  Continuing the initialization, and logging in finds that host name is still 'localhost.localdomain'.  Shut down, power cycle, start, login still finds the host name is 'localhost.localdomain'.

What was configured did not make it into the running environment.


Reproducible: Always

Steps to Reproduce:
Download https://kojipkgs.fedoraproject.org/compose/iot/Fedora-IoT-31-20191001.0/compose/IoT/x86_64/images/Fedora-IoT-31-20191001.0.x86_64.raw.xz
Download https://kojipkgs.fedoraproject.org/compose/iot/Fedora-IoT-31-20191001.0/compose/IoT/x86_64/images/Fedora-IoT-31-20191001.0-x86_64-CHECKSUM
cp ~/Downloads/Fedora-IoT-31-20191001.0-x86_64-CHECKSUM .
cp ~/Downloads/Fedora-IoT-31-20191001.0.x86_64.raw.xz .
sha256sum -c Fedora-IoT-31-20191001.0-x86_64-CHECKSUM
unxz Fedora-IoT-31-20191001.0.x86_64.raw.xz
virt-manager

Create New
Import existing disk image
Browse ¦ select filesystem directory ¦ select Fedora-IoT-31-20191001.0.x86_64.raw
Select OS Fedora (fedora-unknown)
Memory 2048
CPUs 1
Finish

1) [x] Network configuration
       (Wired (eth0) connected)
2) [ ] User creation
   (No user will be created)
«1»
Wired (eth0) connected
 IPv4 Address: 192.168.2.28 Netmask: 255.255.255.0 Gateway 192.168.2.254
 DNS: 192.168.2.254,75.153.171.114
 IPv6 Address: 2001:56a:7222:6100:5054:ff:fe93:3fc9/64
Host Name: localhost.localdomain
Current Host Name: localhost.localdomain
1) Set Host Name
2) Configure Device eth0
«1»
Enter a new value for 'Host Name' and press ENTER:
«testdayc.com»
Wired (eth0) connected
 IPv4 Address: 192.168.2.28 Netmask: 255.255.255.0 Gateway 192.168.2.254
 DNS: 192.168.2.254,75.153.171.114
 IPv6 Address: 2001:56a:7222:6100:5054:ff:fe93:3fc9/64
Host Name: testdayc.com
Current Host Name: localhost.localdomain
1) Set Host Name
2) Configure Device eth0
«c»
«c»
«2»

supply information to create administrator account

«c»
«c»
login with created testday account

check hostname

% shutdown now

power up, login, check again

Actual Results:  
% hostname
localhost.localdomain

Expected Results:  
% hostname
testdayc.com

Comment 2 Fedora Update System 2019-10-04 15:22:40 UTC
FEDORA-2019-ae6daeb206 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae6daeb206

Comment 3 Fedora Update System 2019-10-04 22:50:34 UTC
anaconda-31.22.6-1.fc31, initial-setup-0.3.76-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae6daeb206

Comment 4 Fedora Update System 2019-10-07 00:02:08 UTC
anaconda-31.22.6-1.fc31, initial-setup-0.3.76-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.